monday.com – Configuration Guide

Service ID: monday

monday.com powers teams to run processes, workflows, and projects in one digital workspace, unleashing their potential to achieve extraordinary results in all aspects of their work.

How to connect to the monday.com API

Before you start, you’ll need:

Do your first API call

  • Connect your Monday account through Vault with a test session.

  • To test the access token, make a query to get your Account information endpoint using the Proxy API.

curl --location --request GET 'https://unify.apideck.com/proxy' \
--header 'x-apideck-consumer-id: test-consumer' \
--header 'x-apideck-app-id: {APIDECK_APP_ID}' \
--header 'x-apideck-service-id: monday' \
--header 'x-apideck-downstream-url: https://api.monday.com/v2' \
--header 'Authorization: Bearer {APIDECK_API_KEY}'
--header 'Content-Type: application/json' \
--data-raw '{"query":"{\n  account {\n    id\n    logo\n    name\n    plan {\n      period\n      tier\n    }\n    tier\n  }\n}","variables":{}}'

Start building with the monday.com API

Learn what else you can build with the monday.com API.

Interested in a personalized demo? Let us know.